关闭

qxt: 并不支持qt5,其他excel解析的情况

457人阅读 评论(0) 收藏 举报
分类:

在qt官网中推荐使用qxt解析csv文件

qxt在linux下并不支持qt5,主要原因是qt5使用了一些渲染和处理,这些都将qxt的原生性降低了。qxt的一部分仍然可以被复用,但目前并无复用的案例。


Excel解析,在windows下,qt提供了qtaxobject,但在Linux下是不可用的。这是因为qt只提供了针对window axobject 的接口驱动.

由于Linux并不支持excel解析(openoffice肯定支持,但openoffice使用了原生的soffice的渲染引擎,他们说要把改引擎架到qt上,但还未见效果),所以qt不支持linux的excel解析,这可以暂时被接受。

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:257189次
    • 积分:8535
    • 等级:
    • 排名:第2354名
    • 原创:616篇
    • 转载:52篇
    • 译文:4篇
    • 评论:40条
    文章分类
    最新评论